import utils;
import urlparse;
import os;
import hashlib;
import sys;
import subprocess;
from package import config

def download_and_check (url, md5_hash):
  scheme, host, path, params, qu, fr = urlparse.urlparse (url)
  filename = os.path.basename (path)
  download_dir = config.DOWNLOAD.win32()
  if (not os.path.exists (download_dir)):
    os.makedirs (download_dir)
  filename_full = os.path.join (download_dir, filename)
  if (os.path.exists (filename_full)):
    if (file_md5_hash (filename_full) == md5_hash):
      return
  print "downloading " + filename_full + " from " + url
  sys.stdout.flush()
  utils.getFile (url, download_dir)
  local_hash = file_md5_hash (filename_full) 
  if (local_hash == md5_hash):
    print "md5 hash check ok."
    return
  else:
    utils.die ("md5 hash of file " + filename_full + " does not match expected value\n"
             + "expected md5 hash: " + md5_hash + "\n" + "   local md5 hash: " + local_hash)

def file_md5_hash (path):
  m = hashlib.md5()
  file = open (path, "rb")
  block = file.read (65536)
  while block != "":
    m.update (block)
    block = file.read (65536)
  file.close()
  return m.hexdigest()

def configure (cmd, dir):
  if (dir != "."):
    os.chdir (os.path.join (config.SRC_DIR.win32(), dir))
  cmd_string = ""
  for i in cmd:
    cmd_string += i + " ";
  print "configure: " + cmd_string
  sys.stdout.flush()
  status = subprocess.call (cmd)
  if (status != 0):
    utils.die ("error (%d) while configuring package" % status)

def make (cmd, dir):
  if (dir != "."):
    os.chdir (os.path.join (config.SRC_DIR.win32(), dir))
  cmd_string = ""
  for i in cmd:
    cmd_string += i + " ";
  print "make: " + cmd_string
  sys.stdout.flush()
  status = subprocess.call (cmd)
  if (status != 0):
    utils.die ("error (%d) while compiling package" % status)

### patch file functions
def apply_patch(patch, dir, patch_depth):
  if (dir != "."):
    os.chdir (os.path.join (config.SRC_DIR.win32(), dir))
  cmd = "stripm < %s | patch -p%d" % (os.path.join (config.BEASTBUILD.win32(), patch),
                                      patch_depth)
  print "apply_patch: " + cmd
  sys.stdout.flush()
  status = os.system (cmd)
  if (status != 0):
    utils.die ("error: can not apply patch " + patch)
