from buildutils import download_and_check, make, configure
from package import Package
from Path import Path

import utils;

class DocBookDTD42 (Package):
  def full_name (self):
    return "docbook-xml-4.2";

  def download (self):
    download_and_check ("http://www.docbook.org/xml/4.2/docbook-xml-4.2.zip",
                        "73fe50dfe74ca631c1602f558ed8961f")

  def extract (self):
    path = self.config.SRC_DIR.join (Path ("docbook-xml-4.2"))
    make ([ "mkdir", "-p", path.unix() ], ".")
    utils.unpackFile (self.config.DOWNLOAD, "docbook-xml-4.2.zip", path)

  def patch (self):
    print "patch"

  def compile (self):
    pass

  def install (self):
    dest_dir = "/usr/share/sgml/docbook/xml-dtd-4.2"
    make ([ "mkdir", "-p", dest_dir ], ".")
    make ([ "cp", "-rav", "docbook.cat", "*.dtd", "*.mod" , "ent", dest_dir ], "docbook-xml-4.2")
    make ([ "sh", "build-docbook-catalog" ], ".")


import packages.devel.builddocbookcatalog

deps = packages.devel.builddocbookcatalog.packages()

def packages():
  return deps + [ DocBookDTD42() ]
