from package import Package
from buildutils import download_and_check, configure, make, apply_patch
import utils;

class GetText (Package):
  def full_name (self):
    return "gettext-0.17"

  def download (self):
    download_and_check ("ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.gnu.org/gettext/gettext-0.17.tar.gz", "58a2bc6d39c0ba57823034d55d65d606")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "gettext-0.17.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("gettext-0.17.diff", "gettext-0.17", 1)

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix()], "gettext-0.17")
    make ([ "make" ], "gettext-0.17")

  def install (self):
    make ([ "make", "install" ], "gettext-0.17")

import packages.libs.libiconv

deps = packages.libs.libiconv.packages()

def packages():
  return deps + [ GetText() ]
