from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch

class GnomeDocUtils(Package):
  def full_name (self):
    return "gnome-doc-utils-0.16.1"

  def download (self):
    download_and_check ("http://ftp.acc.umu.se/pub/GNOME/sources/gnome-doc-utils/0.16/gnome-doc-utils-0.16.1.tar.bz2", "85d4bba44773f6162de72e81e8bd0ab0")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "gnome-doc-utils-0.16.1.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("gnome-doc-utils-0.16.1.diff", "gnome-doc-utils-0.16.1", 1)
    pass

  def compile (self):
    configure ([ "sh", "aclocal-1.9" ], "gnome-doc-utils-0.16.1")
    #configure ([ "sh", "automake-1.9" ], "gnome-doc-utils-0.16.1")
    configure ([ "sh", "autoconf" ], "gnome-doc-utils-0.16.1")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "gnome-doc-utils-0.16.1")
    make ([ "make" ], "gnome-doc-utils-0.16.1")

  def install (self):
    make ([ "make", "install" ], "gnome-doc-utils-0.16.1")

import packages.libs.libxslt
import packages.devel.gettext
import packages.devel.automake1_9

deps = (packages.libs.libxslt.packages()
     +  packages.devel.gettext.packages()
     +  packages.devel.automake1_9.packages())

def packages():
  return deps + [ GnomeDocUtils() ]
