from package import Package
from buildutils import download_and_check, configure, make
import utils;

class IntlTool (Package):
  def full_name (self):
    return "intltool-0.40.6"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/intltool/0.40/intltool-0.40.6.tar.bz2",
                        "69bc0353323112f42ad4f9cf351bc3e5")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "intltool-0.40.6.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix()], "intltool-0.40.6")
    make ([ "make" ], "intltool-0.40.6")

  def install (self):
    make ([ "make", "install" ], "intltool-0.40.6")

import packages.devel.perl

deps = packages.devel.perl.packages()

def packages():
  return deps + [ IntlTool() ]
