from package import Package
from buildutils import download_and_check, configure, make
import utils;

class Libtool (Package):
  def full_name (self):
    return "libtool-1.5.26"

  def download (self):
    download_and_check ("http://ftp.gnu.org/gnu/libtool/libtool-1.5.26.tar.gz", "aa9c5107f3ec9ef4200eb6556f3b3c29")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libtool-1.5.26.tar.gz", self.config.SRC_DIR)

  def patch (self):
    print "patch"

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix()], "libtool-1.5.26")
    make ([ "make" ], "libtool-1.5.26")

  def install (self):
    make ([ "make", "install" ], "libtool-1.5.26")

def packages():
  return [ Libtool() ]
