from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch

class ScrollKeeper(Package):
  def full_name (self):
    return "scrollkeeper-0.3.14"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/scrollkeeper-0.3.14.tar.bz2", "b175e582a6cec3e50a9de73a5bb7455a")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "scrollkeeper-0.3.14.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "scrollkeeper-0.3.14")
    make ([ "make" ], "scrollkeeper-0.3.14")

  def install (self):
    make ([ "make", "install" ], "scrollkeeper-0.3.14")

import packages.devel.docbookdtd4_2

deps = packages.devel.docbookdtd4_2.packages()

def packages():
  return deps + [ ScrollKeeper() ]
