from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class GMP (Package):
  def full_name (self):
    return "gmp-4.3.1"

  def download (self):
    download_and_check ("ftp://ftp.gmplib.org/pub/gmp-4.3.1/gmp-4.3.1.tar.bz2",
                        "26cec15a90885042dd4a15c4003b08ae")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "gmp-4.3.1.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix(),
                 "--disable-static", "--enable-shared"], "gmp-4.3.1")
    make ([ "make" ], "gmp-4.3.1")

  def install (self):
    make ([ "make", "install" ], "gmp-4.3.1")


def packages():
  return [ GMP() ]
