from buildutils import download_and_check, make, configure, apply_patch
from package import Package
from Path import Path
import os;

import utils;

class LibFreeType (Package):
  def full_name (self):
    return "freetype-2.3.6"

  def download (self):
    download_and_check ("http://mirrors.zerg.biz/nongnu/freetype/freetype-2.3.6.tar.bz2",
                        "fb182d508017cb608e9df8c7dca648dc")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "freetype-2.3.6.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure" ], "freetype-2.3.6")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ],
               "freetype-2.3.6/builds/unix")
    make ([ "make", "all" ], "freetype-2.3.6")

  def install (self):
    make ([ "make", "install" ], "freetype-2.3.6")
    #### HACKHACKHACK: we need this so that freetype6.dll
    #### is found by the beast executable (maybe Gtk+ was
    #### compiled with a different DLL name for freetype?)
    make ([ "cp", self.config.PREFIX.join (Path ("bin/libfreetype-6.dll")).unix(),
                  self.config.PREFIX.join (Path ("bin/freetype6.dll")).unix() ],
          "freetype-2.3.6")
                                      

import packages.devel.automake
import packages.devel.autoconf

deps = (packages.devel.automake.packages()
     +  packages.devel.autoconf.packages())

def packages():
  return deps + [ LibFreeType() ]
