from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibOGG (Package):
  def full_name (self):
    return "libogg-1.1.3"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/ogg/libogg-1.1.3.tar.gz", "eaf7dc6ebbff30975de7527a80831585")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libogg-1.1.3.tar.gz", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libogg-1.1.3")
    make ([ "make" ], "libogg-1.1.3")

  def install (self):
    make ([ "make", "install" ], "libogg-1.1.3")


def packages():
  return [ LibOGG() ]
