from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibVorbis (Package):
  def full_name (self):
    return "libvorbis-1.2.0"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/vorbis/libvorbis-1.2.0.tar.gz", "478646358c49f34aedcce58948793619")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libvorbis-1.2.0.tar.gz", self.config.SRC_DIR)

  def patch (self):
    apply_patch ("libvorbis-1.2.0.diff", "libvorbis-1.2.0", 1)

  def compile (self):
    configure ([ "sh", "autogen.sh", "--prefix=" + self.config.PREFIX.unix() ], "libvorbis-1.2.0")
    make ([ "make" ], "libvorbis-1.2.0")

  def install (self):
    make ([ "make", "install" ], "libvorbis-1.2.0")

import packages.devel.libtool
import packages.libs.libogg
import packages.devel.automake
import packages.devel.autoconf

deps = (packages.devel.libtool.packages()
     +  packages.devel.automake.packages()
     +  packages.devel.autoconf.packages()
     +  packages.libs.libogg.packages())

def packages():
  return deps + [ LibVorbis() ]
