from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibXml2 (Package):
  def full_name (self):
    return "libxml2-2.6.30"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-2.6.30.tar.bz2",
                        "cbc6d381daaa836b90a7ab449c1bc1ae")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "libxml2-2.6.30.tar.bz2", self.config.SRC_DIR)

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "libxml2-2.6.30")
    make ([ "make" ], "libxml2-2.6.30")

  def install (self):
    make ([ "make", "install" ], "libxml2-2.6.30")


def packages():
  return [ LibXml2() ]
