from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class PortAudio (Package):
  def full_name (self):
    return "portaudio-v19-snapshot"

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/pa-20090522-snapshot.tgz",
                        "aecb3df767f2c25e41c7e45230815673")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "pa-20090522-snapshot.tgz", self.config.SRC_DIR)

  def patch (self):
    pass #apply_patch ("openssl-0.9.8k.diff", "openssl-0.9.8k", 1)

  def compile (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.unix() ], "portaudio")
    make ([ "make" ], "portaudio")

  def install (self):
    make ([ "make", "install" ], "portaudio")


def packages():
  return [ PortAudio() ]
