from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Ssh(Package):
  def full_name (self):
    return "ssh-4.7p1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/openssh-4.7p1-MSYS-1.0.11-1-bin.tar.gz",
                        "bfa559b255c9b53dd5b3ca41c4b851d2")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "openssh-4.7p1-MSYS-1.0.11-1-bin.tar.gz",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

import packages.mingw.openssl
import packages.mingw.minires
import packages.mingw.msyslibz

deps = (packages.mingw.msyslibz.packages()
     +  packages.mingw.openssl.packages()
     +  packages.mingw.minires.packages())

def packages():
  return deps + [ Ssh() ]
